Search Results for

    Show / Hide Table of Contents

    Class SelectCoordinateSystem

    Inheritance
    object
    MarshalByRefObject
    NXRemotableObject
    TaggedObject
    SelectCoordinateSystem
    Implements
    IMessageSink
    IComponentBuilder
    Inherited Members
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(string)
    TaggedObject.PrintTestData(string, int)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    MarshalByRefObject.GetLifetimeService()
    MarshalByRefObject.InitializeLifetimeService()
    MarshalByRefObject.MemberwiseClone(bool)
    object.GetType()
    object.MemberwiseClone()
    object.Equals(object)
    object.Equals(object, object)
    object.ReferenceEquals(object, object)
    object.GetHashCode()
    Namespace: NXOpen
    Assembly: NXOpen.dll
    Syntax
    public class SelectCoordinateSystem : TaggedObject, IMessageSink, IComponentBuilder

    Constructors

    SelectCoordinateSystem()

    Declaration
    protected SelectCoordinateSystem()

    Properties

    Value

    Declaration
    public CoordinateSystem Value { get; set; }
    Property Value
    Type Description
    CoordinateSystem

    Methods

    GetValue(out CaeSubType, out int)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use other versions of NXOpen.SelectObject.GetValue.")]
    public CoordinateSystem GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
    Parameters
    Type Name Description
    CaeObjectType.CaeSubType caeSubType
    int caeSubId
    Returns
    Type Description
    CoordinateSystem

    GetValue(out CoordinateSystem, out View, out Point3d)

    Declaration
    public void GetValue(out CoordinateSystem selection, out View view, out Point3d point)
    Parameters
    Type Name Description
    CoordinateSystem selection
    View view
    Point3d point

    GetValue(out SnapType, out CoordinateSystem, out View, out Point3d, out CoordinateSystem, out View, out Point3d)

    Declaration
    public void GetValue(out InferSnapType.SnapType snapType, out CoordinateSystem selection1, out View view1, out Point3d point1, out CoordinateSystem selection2, out View view2, out Point3d point2)
    Parameters
    Type Name Description
    InferSnapType.SnapType snapType
    CoordinateSystem selection1
    View view1
    Point3d point1
    CoordinateSystem selection2
    View view2
    Point3d point2

    SetValue(CoordinateSystem, CaeSubType, int)

    Declaration
    [Obsolete("Deprecated in NX10.0.0.  Use other versions of NXOpen.SelectObject.SetValue.")]
    public void SetValue(CoordinateSystem selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
    Parameters
    Type Name Description
    CoordinateSystem selection
    CaeObjectType.CaeSubType caeSubType
    int caeSubId

    SetValue(CoordinateSystem, View, Point3d)

    Declaration
    public void SetValue(CoordinateSystem selection, View view, Point3d point)
    Parameters
    Type Name Description
    CoordinateSystem selection
    View view
    Point3d point

    SetValue(SnapType, CoordinateSystem, View, Point3d, CoordinateSystem, View, Point3d)

    Declaration
    public void SetValue(InferSnapType.SnapType snapType, CoordinateSystem selection1, View view1, Point3d point1, CoordinateSystem selection2, View view2, Point3d point2)
    Parameters
    Type Name Description
    InferSnapType.SnapType snapType
    CoordinateSystem selection1
    View view1
    Point3d point1
    CoordinateSystem selection2
    View view2
    Point3d point2

    Validate()

    Declaration
    public bool Validate()
    Returns
    Type Description
    bool

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In this article
    Back to top Generated by DocFX